
package cn.orionsec.ops.service.impl;

import cn.orionsec.ops.dao.MachineAlarmGroupDAO;
import cn.orionsec.ops.entity.domain.MachineAlarmGroupDO;
import cn.orionsec.ops.service.api.MachineAlarmGroupService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("machineAlarmGroupService")
public class MachineAlarmGroupServiceImpl implements MachineAlarmGroupService {

    @Resource
    private MachineAlarmGroupDAO machineAlarmGroupDAO;

    @Override
    public List<MachineAlarmGroupDO> selectByMachineId(Long machineId) {
        LambdaQueryWrapper<MachineAlarmGroupDO> wrapper = new LambdaQueryWrapper<MachineAlarmGroupDO>()
                .eq(MachineAlarmGroupDO::getMachineId, machineId);
        return machineAlarmGroupDAO.selectList(wrapper);
    }

    @Override
    public Integer deleteByMachineId(Long machineId) {
        LambdaQueryWrapper<MachineAlarmGroupDO> wrapper = new LambdaQueryWrapper<MachineAlarmGroupDO>()
                .eq(MachineAlarmGroupDO::getMachineId, machineId);
        return machineAlarmGroupDAO.delete(wrapper);
    }

    @Override
    public Integer deleteByMachineIdList(List<Long> machineIdList) {
        LambdaQueryWrapper<MachineAlarmGroupDO> wrapper = new LambdaQueryWrapper<MachineAlarmGroupDO>()
                .in(MachineAlarmGroupDO::getMachineId, machineIdList);
        return machineAlarmGroupDAO.delete(wrapper);
    }

    @Override
    public Integer deleteByGroupId(Long groupId) {
        LambdaQueryWrapper<MachineAlarmGroupDO> wrapper = new LambdaQueryWrapper<MachineAlarmGroupDO>()
                .eq(MachineAlarmGroupDO::getGroupId, groupId);
        return machineAlarmGroupDAO.delete(wrapper);
    }

}
